Cantera 2.6.0

Variables
Physical Constants
Global Data
Collaboration diagram for Physical Constants:

## Variables
const double | Pi = 3.14159265358979323846
| Pi. More...
const double | Sqrt2 = 1.41421356237309504880
| Sqrt(2) More...

## Detailed Description

All physical constants are stored here.

Cantera uses the MKS system of units. The unit for moles is defined to be the kmol. All values of physical constants are consistent with the 2018 CODATA recommendations.

## Variable Documentation

## ◆ Pi

const double Pi = 3.14159265358979323846

Pi.

Definition at line 52 of file ct_defs.h.

Referenced by InterfaceKinetics::buildSurfaceArrhenius(), GasTransport::fitDiffCoeffs(), IonGasTransport::fitDiffCoeffs(), GasTransport::fitProperties(), Cantera::Frot(), GasTransport::makePolarCorrections(), StickingCoverage::setContext(), StickingCoverage::setStickingWeight(), GasTransport::setupCollisionParameters(), IonGasTransport::setupN64(), StickingCoverage::stickingWeight(), and DustyGasTransport::updateKnudsenDiffCoeffs().

## ◆ Sqrt2

const double Sqrt2 = 1.41421356237309504880

Sqrt(2)

Definition at line 55 of file ct_defs.h.

Referenced by PengRobinson::getActivityCoefficients(), PengRobinson::getChemPotentials(), and PengRobinson::sresid().